package org.kolevatykh;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.ws.Action;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;

/**
 * This class was generated by Apache CXF 3.2.7
 * 2020-03-15T17:37:46.947+03:00
 * Generated source version: 3.2.7
 *
 */
@WebService(targetNamespace = "http://kolevatykh.org/", name = "CalculatorEndpoint")
@XmlSeeAlso({ObjectFactory.class})
public interface CalculatorEndpoint {

    @WebMethod
    @Action(input = "http://kolevatykh.org/CalculatorEndpoint/sumRequest", output = "http://kolevatykh.org/CalculatorEndpoint/sumResponse")
    @RequestWrapper(localName = "sum", targetNamespace = "http://kolevatykh.org/", className = "org.kolevatykh.Sum")
    @ResponseWrapper(localName = "sumResponse", targetNamespace = "http://kolevatykh.org/", className = "org.kolevatykh.SumResponse")
    @WebResult(name = "return", targetNamespace = "")
    public int sum(
        @WebParam(name = "a", targetNamespace = "")
        int a,
        @WebParam(name = "b", targetNamespace = "")
        int b
    );
}
